corda / net.corda.core.testing / IssuedGenerator

# IssuedGenerator

`class IssuedGenerator<T> : Generator<Issued<T>>`

### Constructors

<init> | `IssuedGenerator(productGenerator: Generator<T>)`

### Properties

productGenerator | `val productGenerator: Generator<T>`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): Issued<T>`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck